boot {bnstruct} | R Documentation

## get selected element of bootstrap list.

### Description

Given a `BNDataset`, return the sample corresponding to given index.

### Usage

    boot(dataset, index, use.imputed.data = FALSE)

    ## S4 method for signature 'BNDataset,numeric'
    boot(dataset, index,
      use.imputed.data = FALSE)

### Arguments

`dataset` | a `BNDataset` object.
`index` | the index of the requested sample.
`use.imputed.data` | `TRUE` if samples from imputed dataset are to be used. Default if `FALSE`.

### See Also

bootstrap

`bootstrap`

### Examples

    ## Not run:
    dataset <- BNDataset("file.data", "file.header")
    dataset <- bootstrap(dataset, num.boots = 1000)

    for (i in 1:num.boots(dataset))
       print(boot(dataset, i))

    ## End(Not run)

[Package bnstruct version 1.0.6 Index]